OpenVDB: SeedPoints< TreeType > Class Template Reference

OpenVDB 3.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
SeedPoints< TreeType > Class Template Reference

`#include <MeshToVolume.h>`

## Public Types
typedef TreeType::ValueType | ValueType
typedef TreeType::LeafNodeType | LeafNodeType
typedef LeafNodeConnectivityTable< TreeType > | ConnectivityTable

## Public Member Functions
| SeedPoints (ConnectivityTable &connectivity, bool *changedNodeMask, bool *nodeMask, bool *changedVoxelMask)
void | operator() (const tbb::blocked_range< size_t > &range) const
bool | processZ (const size_t n, bool firstFace) const
bool | processY (const size_t n, bool firstFace) const
bool | processX (const size_t n, bool firstFace) const

## Public Attributes
ConnectivityTable *const | mConnectivity
bool *const | mChangedNodeMask
bool *const | mNodeMask
bool *const | mChangedVoxelMask

## Member Typedef Documentation

typedef LeafNodeConnectivityTable<TreeType> ConnectivityTable

typedef TreeType::LeafNodeType LeafNodeType

typedef TreeType::ValueType ValueType

## Constructor & Destructor Documentation

SeedPoints | ( | ConnectivityTable & | connectivity,
|  | bool * | changedNodeMask,
|  | bool * | nodeMask,
|  | bool * | changedVoxelMask
| ) |  |
| inline

## Member Function Documentation

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

bool processX | ( | const size_t | n,
|  | bool | firstFace
| ) |  | const
| inline

bool processY | ( | const size_t | n,
|  | bool | firstFace
| ) |  | const
| inline

bool processZ | ( | const size_t | n,
|  | bool | firstFace
| ) |  | const
| inline

## Member Data Documentation

bool* const mChangedNodeMask

bool* const mChangedVoxelMask

ConnectivityTable* const mConnectivity

bool* const mNodeMask

The documentation for this class was generated from the following file:

- MeshToVolume.h